Public Member Functions | Static Public Member Functions | Private Attributes

# GameLibrary Class Reference

All static information from an Game library like name, version, etc. More...

`#include <game_info.hpp>`

Inheritance diagram for GameLibrary:

## Public Member Functions
const char * | GetCategory () const
| Get the category this library is in.
## Static Public Member Functions
static void | RegisterAPI (Squirrel *engine)
| Register the functions of this class.
static SQInteger | Constructor (HSQUIRRELVM vm)
| Create an GSLibrary, using this GSInfo as start-template.
## Private Attributes
const char * | category
| The category this library is in.

## Detailed Description

All static information from an Game library like name, version, etc.

Definition at line 52 of file game_info.hpp.

The documentation for this class was generated from the following files:

- src/game/game_info.hpp
- src/game/game_info.cpp